Đến nội dung


Hình ảnh
- - - - -

Lisp Bind nhiều bản vẽ mà không cần mở file( giống lệnh in Publish)


  • Please log in to reply
7 replies to this topic

#1 nhathuy007

nhathuy007

    biết pan

  • Members
  • Pip
  • 8 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 23 January 2015 - 02:35 PM

Chào mọi người! 

Em tìm trong diễn đàn thì chỉ có Lisp bind tất cả các Xref trong 1 file khi mở từng bản vẽ lên, chứ chưa có Lisp nào bind các xref trong nhiều file cùng lúc, Giống như lệnh in Publish, ta mở 1 bản vẽ và có thể in những bản vẽ khác mà ko cần mở bản vẽ đó lên.

Có sư huynh nào có thể chỉ giáo giúp với? Hồ sơ thi công có 300 bản vẽ mà ngồi Bind từng bản vẽ như vậy chắc hết ngày quá. Thanks


  • 0

#2 Tot77

Tot77

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 990 Bài viết
Điểm đánh giá: 498 (tốt)

Đã gửi 25 January 2015 - 02:23 PM

Không có cách nào không mở file mà bind dc đâu bạn. Chỉ có tạo 1 lisp trong startupsuite rồi khi mở bất cứ file nào nó sẽ tự động bind.

Bạn down file này rồi AP và để trong startupsuite.

(vlax-map-Collection (vla-get-Blocks (vla-get-ActiveDocument (vlax-get-acad-object)))   
                '(lambda (b)  (if (= (vla-get-IsXRef b) :vlax-true)
                   (vl-catch-all-error-p (vl-catch-all-apply 'vla-bind (list b :vlax-false))))))

  • 0

#3 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5679 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 26 January 2015 - 12:39 AM

Chắc Tot77 nhận định nhầm ^^

Với lại, với yêu cầu này thì CAD đã làm tốt rồi, k cần phải viết lisp


  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#4 nhathuy007

nhathuy007

    biết pan

  • Members
  • Pip
  • 8 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 29 January 2015 - 02:28 PM

Cảm ơn các pro... Vậy thực sự chưa ai có thể viết được lisp Bind như vậy sao? @ ketxu: bạn nói với yêu cầu như vậy thì Cad đã làm được sao? làm được bằng cách nào? bạn có thể chỉ rõ hơn ko vậy? Thanks so much...


  • 0

#5 Nguyen Hoanh

Nguyen Hoanh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 4105 Bài viết
Điểm đánh giá: 4495 (đỉnh cao)

Đã gửi 30 January 2015 - 08:02 AM

Không cần lisp, bạn làm như sau:
1. New một sheetset
2. Add các file cần bind vào sheetset này
3. Dùng lệnh etransmit cho sheetset với lựa chọn bind.
  • 1

#6 nhathuy007

nhathuy007

    biết pan

  • Members
  • Pip
  • 8 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 02 February 2015 - 10:37 AM

Mình đã làm được rồi... Cảm ơn bạn Nguyen Hoanh nhiều nhé... Sheet set thì mình ko rành lắm nhưng add file và etrasmit với chế độ bind thì cũng mò ra được... Thật là cảm ơn bạn rất nhiều... nhờ có cách làm này mà mình đỡ tốn ko biết bao nhiêu thời gian để làm  việc khác. Thanks so much...


  • 0

#7 nhathuy007

nhathuy007

    biết pan

  • Members
  • Pip
  • 8 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 12 February 2015 - 09:57 AM

Cảm ơn bác Nguyen Hoanh. Nhưng sau khi mày mò thì mình thấy ko cần phải tạo sheetset mới, chỉ cần dùng lệnh Etransmit rồi chọn modifi chế độ bind là được. Không cần phải tạo sheetset bác ak.


  • 0

#8 Nguyen Hoanh

Nguyen Hoanh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 4105 Bài viết
Điểm đánh giá: 4495 (đỉnh cao)

Đã gửi 12 February 2015 - 02:34 PM

Theo cách này, bạn có làm được với nhiều bản vẽ và không phải mở file (theo tiêu chí của bạn) không?
  • 0